com.gisgraphy.service.impl

## Class LookupManagerImpl

- java.lang.Object
- - com.gisgraphy.service.impl.UniversalManagerImpl
  - - com.gisgraphy.service.impl.LookupManagerImpl

- All Implemented Interfaces:
    LookupManager, UniversalManager

      public class LookupManagerImpl
      extends UniversalManagerImpl
      implements LookupManager

  Implementation of LookupManager interface to talk to the persistence layer.
  Author:
    Matt Raible

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.service.impl.UniversalManagerImpl

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookupManagerImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<LabelValue>` | `getAllRoles()` Retrieves all possible roles from persistence layer
    `void` | `setLookupDao(LookupDao dao)` Method that allows setting the DAO to talk to the data store with.

    - ### Methods inherited from class com.gisgraphy.service.impl.UniversalManagerImpl

      `get, getAll, remove, save, setDao`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.gisgraphy.service.UniversalManager

      `get, getAll, remove, save`

- - ### Constructor Detail

    - #### LookupManagerImpl

          public LookupManagerImpl()

  - ### Method Detail

    - #### setLookupDao

          public void setLookupDao(LookupDao dao)

      Method that allows setting the DAO to talk to the data store with.
      Parameters:
        `dao` - the dao implementation

    - #### getAllRoles

          public List<LabelValue> getAllRoles()

      Retrieves all possible roles from persistence layer
      Specified by:
        `getAllRoles` in interface `LookupManager`
      Returns:
        List of LabelValue objects

Copyright © 2015. All rights reserved.